Create a payment provider connect link
Create an onboarding link for connecting a payment gateway to the store. Returns the gateway onboarding URL for the merchant to open and a deep-link into the store admin.
Create an onboarding link for connecting a payment gateway to the store. Returns the gateway onboarding URL for the merchant to open and a deep-link into the store admin.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
store_idstringRequiredExample:
The ID of the store to connect the payment provider to.
store_01J8Z5F8W9K8M4A7B3C2D1E0FGprovider_idstringRequiredExample:
The ID of the payment gateway to connect, e.g. stripe.
stripeResponses
201
Created response
application/json
401
Unauthenticated response
application/json
500
Error response
application/json
post/api/ecommerce/v1/stores/{store_id}/payment-providers/{provider_id}/connect-link
POST /api/ecommerce/v1/stores/{store_id}/payment-providers/{provider_id}/connect-link HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"url": "https://connect.stripe.com/setup/s/example",
"admin_url": "https://admin.example.com/payments/stripe"
}
}Last updated
Was this helpful?